import request from '@/utils/request'

// 查询角色列表
export function group(query) {
  return request({
    url: '/system/group/list',
    method: 'get',
    params: query
  })
}

// 查询部门详细
export function getRole(id) {
  return request({
    url: '/system/dept/user/' + id,
    method: 'get'
  })
}

// 查询组详细
export function getMembers(id) {
  return request({
    url: '/system/group/user/' + id,
    method: 'get'
  })
}

// 查询角色详细
export function getPersonnel(id) {
  return request({
    url: '/system/role/user/' + id,
    method: 'get'
  })
}

// 保存
export function setMenu(data) {
  return request({
    url: '/boman-system/role/menu',
    method: 'post',
    data: data
  })
}

// 新增角色
export function addRole(data) {
  return request({
    url: '/system/role',
    method: 'post',
    data: data
  })
}

// 修改角色
export function updateRole(data) {
  return request({
    url: '/system/role',
    method: 'put',
    data: data
  })
}

// 角色数据权限
export function dataScope(data) {
  return request({
    url: '/system/role/dataScope',
    method: 'put',
    data: data
  })
}

// 角色状态修改
export function changeRoleStatus(id, status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/system/role/changeStatus',
    method: 'put',
    data: data
  })
}

// 删除角色
export function delRoleses(id,ids) {
  return request({
    url: '/system/group/addGroupUser/' + id + '/' + ids,
    method: 'get'
  })
}
